upstream test102.bleu.de {
	keepalive 100;
	server 192.192.192.192:3050;
}

server {
	# The keepalive parameter sets the maximum number of idle keepalive connections
		# to upstream servers that are preserved in the cache of each worker process. When
	# this number is exceeded, the least recently used connections are closed.
	listen *:80 ;
	server_name test102.bleu.de;
	rewrite        ^ https://test102.bleu.de$request_uri? permanent;
}

server {
	listen *:443 ssl;
	server_name test102.bleu.de;
	ssl_certificate /Users/philkunz/gitlab/pushrocks_meta/smartnginx/nginxconfig/hosts/test102.bleu.de.public.pem;
	ssl_certificate_key /Users/philkunz/gitlab/pushrocks_meta/smartnginx/nginxconfig/hosts/test102.bleu.de.private.pem;
	location / {
		proxy_http_version      1.1;
		proxy_buffering         off;
		proxy_redirect					off;
		proxy_set_header        X-Real-IP $remote_addr;
		proxy_set_header        X-Forwarded-For $remote_addr;
		proxy_set_header        X-Forwarded-Proto $scheme;
		proxy_next_upstream error timeout http_404 http_429 http_500 http_502;
		proxy_next_upstream_tries 5;
		proxy_pass              http://test102.bleu.de;
	}
}
